summaryrefslogtreecommitdiffstats
path: root/network/qbittorrent
diff options
context:
space:
mode:
Diffstat (limited to 'network/qbittorrent')
-rw-r--r--network/qbittorrent/README10
-rw-r--r--network/qbittorrent/doinst.sh4
-rw-r--r--network/qbittorrent/qbittorrent.SlackBuild31
-rw-r--r--network/qbittorrent/qbittorrent.info12
-rw-r--r--network/qbittorrent/slack-desc8
5 files changed, 37 insertions, 28 deletions
diff --git a/network/qbittorrent/README b/network/qbittorrent/README
index 1ae61628b9..ea29b536b1 100644
--- a/network/qbittorrent/README
+++ b/network/qbittorrent/README
@@ -4,5 +4,13 @@ The qBittorrent project was created in March 2006 with the idea
of developing a new Bittorrent client for Linux (and possibly
other systems) that would be easy to use, good looking, featureful
but lightweight.
+qBittorrent is a Free Software released under the GNU GPL license.
-qBittorrent requires qt4 and libtorrent-rasterbar.
+One of it's useful features is the ability to search torrent sites.
+The author is Christophe Dumez, a French student in an engineer
+school (UTBM), in IT departement.
+qBittorrent is based on the great Libtorrent by Arvid Norberg.
+
+qBittorrent depends on QT4 and libtorrent-rasterbar >= 0.14.0
+
+Homepage: http://qbittorrent.sourceforge.net
diff --git a/network/qbittorrent/doinst.sh b/network/qbittorrent/doinst.sh
index 9830478e8c..1f8ff67ded 100644
--- a/network/qbittorrent/doinst.sh
+++ b/network/qbittorrent/doinst.sh
@@ -2,10 +2,6 @@ if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
-if [ -x /usr/bin/update-mime-database ]; then
- /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
-fi
-
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
if [ -x /usr/bin/gtk-update-icon-cache ]; then
/usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
diff --git a/network/qbittorrent/qbittorrent.SlackBuild b/network/qbittorrent/qbittorrent.SlackBuild
index 3132b7da47..0e49f86956 100644
--- a/network/qbittorrent/qbittorrent.SlackBuild
+++ b/network/qbittorrent/qbittorrent.SlackBuild
@@ -1,8 +1,7 @@
#!/bin/sh
# Slackware build script for qbittorrent
-
-# Copyright 2009 David Woodfall <dave@unrealize.co.uk>
+# Copyright 2009 David Woodfall <info@davidwoodfall.co.uk>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +23,7 @@
# YOUR DATA IS DESTROYED, YOUR HOUSE BURNS DOWN OR YOUR DOG RUNS OFF.
PRGNAM=qbittorrent
-VERSION=${VERSION:-1.3.2}
+VERSION=${VERSION:-2.1.3}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -36,13 +35,16 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -64,21 +66,19 @@ CXXFLAGS="$SLKCFLAGS" \
--qtdir=/usr/lib/qt4
make
-
mkdir -p $PKG/usr/bin
-cp src/qbittorrent $PKG/usr/bin/
+cp -a src/qbittorrent $PKG/usr/bin/
mkdir -p $PKG/usr/man/man1
-cp doc/qbittorrent.1 $PKG/usr/man/man1/
+cp -a doc/qbittorrent.1 $PKG/usr/man/man1/
mkdir -p $PKG/usr/share/applications
-cp src/Icons/qBittorrent.desktop $PKG/usr/share/applications/
+cp -a src/Icons/qBittorrent.desktop $PKG/usr/share/applications/
-for i in \
- 16x16 22x22 24x24 32x32 36x36 48x48 64x64 72x72 96x96 128x128 192x192 ; do
- mkdir -p $PKG/usr/share/icons/hicolor/${i}/apps/
- cp src/menuicons/${i}/apps/qbittorrent.png \
- $PKG/usr/share/icons/hicolor/${i}/apps/ ;
+for i in 16 22 24 32 36 48 64 72 96 128 192 ; do
+ mkdir -p $PKG/usr/share/icons/hicolor/${i}x${i}/apps
+ cp -a src/menuicons/${i}x${i}/apps/qbittorrent.png \
+ $PKG/usr/share/icons/hicolor/${i}x${i}/apps ;
done
( cd $PKG
@@ -94,6 +94,9 @@ done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS Changelog NEWS TODO COPYING INSTALL README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
@@ -101,4 +104,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/qbittorrent/qbittorrent.info b/network/qbittorrent/qbittorrent.info
index 270e482994..8d3465cf81 100644
--- a/network/qbittorrent/qbittorrent.info
+++ b/network/qbittorrent/qbittorrent.info
@@ -1,8 +1,10 @@
PRGNAM="qbittorrent"
-VERSION="1.3.2"
+VERSION="2.13"
HOMEPAGE="http://qbittorrent.sourceforge.net"
-DOWNLOAD="http://downloads.sourceforge.net/qbittorrent/qbittorrent-1.3.2.tar.gz"
-MD5SUM="680ea41e5601d5cd7990b303f9ad503c"
+DOWNLOAD="http://downloads.sourceforge.net/sourceforge/qbittorrent/qbittorrent-2.1.3.tar.gz"
+MD5SUM="0367177f71b0c40d73de1694cb7cf6e9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="David Woodfall"
-EMAIL="dave@unrealize.co.uk"
-APPROVED="rworkman"
+EMAIL="info@davidwoodfall.co.uk"
+APPROVED="dsomero"
diff --git a/network/qbittorrent/slack-desc b/network/qbittorrent/slack-desc
index 64140c9432..3673629a10 100644
--- a/network/qbittorrent/slack-desc
+++ b/network/qbittorrent/slack-desc
@@ -5,9 +5,9 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler-------------------------------------------------------|
-qbittorrent: qBittorrent (a C++/qt4 bittorrent client)
-qbittorrent:
+ |-----handy-ruler------------------------------------------------------|
+qbittorrent: qBittorrent (a C++ / Qt4 Bittorrent Client)
+qbittorrent:
qbittorrent: The qBittorrent project was created in March 2006 with the idea
qbittorrent: of developing a new Bittorrent client for Linux (and possibly
qbittorrent: other systems) that would be easy to use, good looking, featureful
@@ -15,5 +15,5 @@ qbittorrent: but lightweight.
qbittorrent: qBittorrent is a Free Software released under the GNU GPL license.
qbittorrent: The author is Christophe Dumez, a French student in an engineer
qbittorrent: school (UTBM), in IT departement.
-qbittorrent:
+qbittorrent:
qbittorrent: Homepage: http://qbittorrent.sourceforge.net